
import subprocess

def run_command(cmd, doNotSplit=False):
    stdout=None
    stderr=None
    proc=None
    if doNotSplit:
        proc = subprocess.Popen(cmd, 
                            stdout=subprocess.PIPE, 
                            stderr=subprocess.PIPE, 
                            stdin=subprocess.PIPE, 
                            shell=True)
        stdout, stderr = proc.communicate()
    else:
        proc = subprocess.Popen(cmd.split(), 
                            stdout=subprocess.PIPE, 
                            stderr=subprocess.PIPE, 
                            stdin=subprocess.PIPE)
        stdout, stderr = proc.communicate()
    return stdout, stderr, proc.returncode