import unittest
import random

import cdp_telemetry.doctor.network as doctor_network

class TestNetworkCommand(unittest.TestCase):

    def test_neighbour_slice_with_low_num(self):
        test_neighbours_low = [0, 12, 13, 14, 55]
        result = doctor_network.slice_neighbour_count(test_neighbours_low)
        assert ( len(result) == 5 ), "got " + len(result)
        pass


    def test_neighbour_slice_with_high_num(self):
        test_neighbours_high = random.sample(range(1, 101), 60)
        result = doctor_network.slice_neighbour_count(test_neighbours_high)
        assert ( len(result) <= 40 ), "got " + len(result)
        pass


if __name__ == '__main__':
    
    unittest.main()