changed_systemd_config="false"
if [[ -f /etc/systemd/system/cdp-logging-agent.service ]]; then
    grep "2.7.0" /etc/systemd/system/cdp-logging-agent.service
    if [[ "$?" == "0" ]]; then
        sed -i "s/2.7.0/3.1.0/g" /etc/systemd/system/cdp-logging-agent.service
        changed_systemd_config="true"
    fi
fi
if [[ -f /lib/systemd/system/cdp-logging-agent.service ]]; then
    grep "2.7.0" /lib/systemd/system/cdp-logging-agent.service
    if [[ "$?" == "0" ]]; then
        sed -i "s/2.7.0/3.1.0/g" /lib/systemd/system/cdp-logging-agent.service
        changed_systemd_config="true"
    fi
fi

# remove example sensitive data from client.rb files, those are indicated by scan as threat
# tried several regular expressions to remove sensitive data but none of them worked completely, since there were several wrong example sensitive data
# so i decided to remove as much single line comment as possible before i stub myself in my stomach :)
grep -rl '# .*' --include=client.rb | xargs sed -i 's/# .*//'

find / -regex '.*/example/.*.key' | xargs rm -f
find / -regex '.*/sample/.*.pem' | xargs rm -f

chmod 644 /lib/systemd/system/cdp-logging-agent.service
chmod 644 /etc/logrotate.d/cdp-logging-agent

if [[ "$changed_systemd_config" == "true" ]]; then
    systemctl daemon-reload
fi
