FROM golang:1.17.0

RUN apt-get update 
RUN apt-get install libpcre++-dev -y

ADD VERSION /VERSION
ADD ./filecollector /go/src/filecollector
WORKDIR /go/src/filecollector

ENV GO111MODULE on
RUN go build -mod=vendor -ldflags "-X main.Version=$(cat /VERSION)"

ENTRYPOINT ["/go/src/filecollector/filecollector"]