class Config:

    def __init__(self, config):
        self.config=config

    def get_key(self, key, default=None):
        if default:
            return self.config[key] if key in self.config else default
        else:
            return self.config[key] if key in self.config else None

    def get_str_key(self, key, default=None):
        if default:
            return self.config[key] if key in self.config else str(default)
        else:
            return self.config[key] if key in self.config else None

    def get_int_key(self, key, default=None):
        if default:
            return int(self.config[key]) if key in self.config else int(default)
        else:
            return self.config[key] if key in self.config else None

    def get_float_key(self, key, default=None):
        if default:
            return float(self.config[key]) if key in self.config else float(default)
        else:
            return self.config[key] if key in self.config else None

    def get_bool_key(self, key, default=False):
        return bool(self.config[key]) if key in self.config else bool(default)