#!/bin/sh

if [ "$(uname -s)" = 'Linux' ]; then
  SHA256_CMD_PREFIX="sha256sum"
else
  SHA256_CMD_PREFIX="shasum -a 256"
fi

main() {
    local file_location=${1:?"usage: <file_location>"}
    eval ${SHA256_CMD_PREFIX} $file_location | cut -d ' ' -f1 > ${file_location}.sha256
}

main ${1+"$@"}